Subject: [OPSAWG] Hope to hear your opinions on DC management problem statement

From: "Yingjie Gu(yingjie)" <[email-masked]>
Date: Fri, 11 Mar 2011 14:56:18 +0800

Hi all, 
I have submitted an OPSAWG related draft.  You can find the draft at
http://datatracker.ietf.org/doc/draft-gu-dc-management-problem-statement/
I have applied for 30mins time slot to present the PS at IETF 80.
Hope to hear your opinions before and during the meeting :)

A new version of I-D, draft-gu-dc-management-problem-statement-00.txt has been successfully submitted by Gu Yingjie and posted to the IETF repository.

Filename:	 draft-gu-dc-management-problem-statement
Revision:	 00
Title:		 Policies and dynamic data migration in DC
Creation_date:	 2011-03-07
WG ID:		 Independent Submission
Number_of_pages: 11

Abstract:
Virtualization provides Data Center with feasibility and improves the utilization of limited physical resource, e.g. switches/routers, servers and links.  Virtual machines (VM) are allowed to migrate to any place in the Data Center.  A variety of policies (e.g.  ACL, firewalls, load balancers, IPS and QoS) are deployed in Data Center to guarantee the SLA the provider signed with their clients.  Dynamic information, such as TCP Connection Table, dynamic ACLs and cumulated data, is generated on network devices.  In order to keep running services uninterrupted while VM migrating, relevant policies and dynamic information, also need to migrate with VM.

This document describes some examples of the policies and dynamic information that need to migrate with VM, the influence if they are not migrated with VM, the problems that need to consider when migrate polices and dynamic information.  It also describes some existing network management protocols standardized by IETF and the advantages and disadvantages of them for operating policies and dynamic information migration respectively.  The goal is to justify that it is necessary for IETF to make effort on policy and dynamic information migration for large virtualized Data Center.